#!/usr/bin/python
# -*- coding: utf-8 -*-

from pathlib import Path

from setuptools import setup, find_packages

VERSION = open("system_mediator/_version.py").readlines()[-1].split()[-1].strip("\"'")
README = Path("README.md").read_text()

requires = [
    "ssa-workspaces",
    "ssa-messaging",
    "sqlalchemy",
    "pycapo"
]

setup(
    name="ssa-" + Path().absolute().name,
    version=VERSION,
    description="System Mediator allows an operations manager to intervene in currently processing jobs",
    long_description=README,
    author="NRAO SSA Team",
    author_email="dms-ssa@nrao.edu",
    url="TBD",
    license="GPL",
    install_requires=requires,
    keywords=[],
    packages=find_packages(),
    classifiers=["Programming Language :: Python :: 3.8"],
    entry_points={"console_scripts": ["mediator = system_mediator.arbitrator:main"]},
)
