import { NgModule } from "@angular/core";
import { Routes, RouterModule } from "@angular/router";
import { WorkspacesComponent } from "./workspaces.component";
import { CapabilityRequestComponent } from "./components/capability-request/capability-request.component";
import { AnalystToolsComponent } from "./components/analyst-tools/analyst-tools.component";

const routes: Routes = [
  { path: "", component: WorkspacesComponent },
  { path: "request-status/:id", component: CapabilityRequestComponent },
  { path: "analyst-board", component: AnalystToolsComponent },
  { path: "**", redirectTo: "Search", pathMatch: "full" },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class WorkspacesRoutingModule {}
